### Method

# Secret Retrievable get_attributes

since: 0.19.0

#### Declaration [src]

    GHashTable*
    secret_retrievable_get_attributes (
      SecretRetrievable* self
    )

#### Description [src]

Get the attributes of this object.

The attributes are a mapping of string keys to string values. Attributes are used to search for items. Attributes are not stored or transferred securely by the secret service.

Do not modify the attribute returned by this method.

Available since: 0.19.0

Gets property | `Secret.Retrievable:attributes`

#### Return value

Type: `GHashTable`

A new reference to the attributes, which should not be modified, and released with `g_hash_table_unref()`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.